/*******************************************************************************
 * Copyright (c) 2004, 2005 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.data.oda.jdbc.ui.util;

import java.io.Serializable;

/**
 *  The column object in stored procedure
 */
public class ProcedureParameter implements Serializable
{

	/**
	 * serial version id
	 */
	private static final long serialVersionUID = -467820732446559444L;

	/**Parameter name**/
	private String name = null;

	/**Parameter data type**/
	private int type = -1;

	/**Parameter data type name**/
	private String dataType = null;

	/**procedure name**/
	private String procedureName = null;

	/**Parameter type|in|out|inout|unknown|return value**/
	private int modeType = 0;
	
	/**Schema name*/
	private String schemaName = null;

	public ProcedureParameter( )
	{
		super( );
	}

	/**
	 * @return Returns the name.
	 */
	public String getName( )
	{
		return name;
	}

	/**
	 * set the column name
	 * @param name
	 */
	public void setName( String name )
	{
		this.name = name;
	}

	/**
	 * get the column type: in/out/inout
	 * @return
	 */
	public int getModeType( )
	{
		return modeType;
	}

	/**
	 * set the column type
	 * @param modeType
	 */
	public void setModeType( int modeType )
	{
		this.modeType = modeType;
	}

	/**
	 * get the data type
	 * @return
	 */
	public int getDataType( )
	{
		return type;
	}

	/**
	 * set the data type
	 * @param dataType
	 */
	public void setDataType( int dataType )
	{
		this.type = dataType;
	}

	/**
	 * get the data type name
	 * @return
	 */
	public String getDataTypeName( )
	{
		return dataType;
	}

	/**
	 * set the data type name
	 * @param dataType
	 */
	public void setDataTypeName( String dataType )
	{
		this.dataType = dataType;
	}

	/**
	 * get the procedure name
	 * @return
	 */
	public String getProcedureName( )
	{
		return this.procedureName;
	}

	/**
	 * set the proceduren name
	 * @param procedureName
	 */
	public void setProcedureName( String procedureName )
	{
		this.procedureName = procedureName;
	}
	
	/**
	 * get procedure parameter's schema
	 * @return
	 */
    public String getSchema( )
    {
    	return schemaName;
    }
    
    /**
     * set procedure parameter's schema
     * @param schemaName
     */
    public void setSchema( String schemaName )
    {
    	this.schemaName = schemaName;
    }
}